#
# spec file for package t1utils
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           t1utils
Version:        1.36
Release:        17.4
Source0:        ftp://ftp.tex.ac.uk/tex-archive/fonts/utilities/t1utils/t1utils-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A collection of simple type-1 font manipulation programs
License:        ISC
Group:          Productivity/Publishing/PS
Url:            http://www.lcdf.org/type/#t1utils

%description
The t1utils are a collection of simple type-1 font manipulation programs.
Together, they allow you to convert between PFA (ASCII) and PFB
(binary) formats, disassemble PFA or PFB files into human-readable
form, and reassemble them into PFA or PFB format. Additionally, you can
extract font resources from a Macintosh font file (ATM/Laserwriter) or
create a Macintosh Type 1 font file from a PFA or PFB font.



Authors:
--------
    I. Lee Hetherington <ilh@lcs.mit.edu>
    Eddie Kohler <eddietwo@lcs.mit.edu>

%prep
%setup -q

%build
rm -f config.cache
# update config.{guess,sub}
export CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
            %{_target_cpu}-suse-linux-gnu
make %{?_smp_mflags}

%install

make DESTDIR=%buildroot install

%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%doc INSTALL NEWS README
/usr/bin/t1ascii
/usr/bin/t1binary
/usr/bin/t1asm
/usr/bin/t1disasm
/usr/bin/t1unmac
/usr/bin/t1mac
/usr/share/man/man1/t1asm.1.gz
/usr/share/man/man1/t1disasm.1.gz
/usr/share/man/man1/t1unmac.1.gz
/usr/share/man/man1/t1mac.1.gz
/usr/share/man/man1/t1ascii.1.gz
/usr/share/man/man1/t1binary.1.gz

%changelog
* Thu Mar 29 2012 cfarrell@suse.com
- license update: ISC
  Obligations most akin to ISC license (http://www.spdx.org/licenses/ISC)
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Sun Sep 26 2010 mrdocs@opensuse.org
-version bump to 1.36
-Add '--enable-multiplatform'
-(For details please read the NEWS file)
-t1disasm: Avoid memory corruption bug (strings passed to eexec_line are
  not null terminated).  Reported by Werner Lemberg.
- Several minor cleanups
- drop patch now upstream
* Fri Dec 18 2009 jengelh@medozas.de
- enable parallel building
* Sun Jun  7 2009 ro@suse.de
- rename getline to my_getline to avoid collision with function
  from glibc
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Mar 25 2004 kukuk@suse.de
- Cleanup neededforbuild
- Don't build as root
* Sun Aug 11 2002 mfabian@suse.de
- update to 1.26
  * t1mac: Fix buglet (C++ comment, and temporary file left behind). Reported
    by Vladimir Volovich <vvv@vsu.ru>.
  * t1asm: Beware extra characters after `currentfile closefile'. Reported by
    Luc Devroye <luc@cs.mcgill.ca>.
  * Fixed compilation bugs on various platforms reported by Nelson H. F.
    Beebe <beebe@math.utah.edu>.
* Tue Nov 13 2001 mfabian@suse.de
- update to t1utils-1.23
  - Fixed Macintosh file bugs
  - Fixed bug on processing PFA fonts with DOS line endings.
  - t1ascii, t1asm, t1unmac: Raised minimum PFA line length to 8.
  (For details please read the NEWS file).
* Mon May  7 2001 mfabian@suse.de
- bzip2 sources
* Fri Dec  1 2000 Mike Fabian <mfabian@suse.de>
- new package: t1utils-1.20
